module Kubelink
  class Prometheus < Rails::Railtie
    initializer 'kubelink.prometheus_exporter' do
      unless Rails.env.development? || Rails.env.test?
        require 'prometheus_exporter'
        require 'prometheus_exporter/middleware'

        Rails.application.middleware.unshift PrometheusExporter::Middleware
      end
    end
  end
end
