require 'active_support/dependencies'
require 'kubelink/version'

module Kubelink
  class Engine < Rails::Engine
    isolate_namespace Kubelink

    initializer 'kubelink.mount' do |app|
      app.routes.prepend do
        mount Kubelink::Engine => '/'
      end
    end
  end
end

require 'kubelink/config'
require 'kubelink/prometheus'
require 'kubelink/sentry'
